#!/bin/sh

# Copyright 2017-2022 Inertia Sound Systems.
#
# This software and the related documents are Inertia Sound Systems copyrighted
# materials, and your use of them is governed by the express license underwhich
# they were provided to you (License). Unless the License provides otherwise,
# you may not use, modify, copy, publish, distribute, disclose or transmit
# this software or the related documents without Inertia Sound Systems's prior
# written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

cd $(dirname "$0")

PRODUCT="Hinder"


CONFIG="${HOME}/.config/Inertia Sound Systems"
MANUAL_PATH="${HOME}/Documents/Inertia Sound Systems/Manuals/$PRODUCT"

PRESET_ROOT_PATH="${HOME}/.config/Inertia Sound Systems/Plugin Presets/$PRODUCT"
USER_APPDATA_PATH="${HOME}/.config/Inertia Sound Systems/$PRODUCT"

PRODUCT_NAME_VERSION="HINDER 1.0.0"
VSTDIR="${HOME}/.vst/"
VST3DIR="${HOME}/.vst3/"

echo
echo "$PRODUCT_NAME_VERSION Installer"
echo "--------------------------"
echo

echo "LICENCE:"

cat "LICENSE.txt" | fmt -w 80
echo
echo "--------------------------"
echo

while true; do
    echo -n  "Do you agree the license's terms? [y/n] "
    read yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
    esac
done

mkdir -p "$CONFIG"
mkdir -p "$MANUAL_PATH"
mkdir -p "$VSTDIR"
mkdir -p "$VST3DIR"

cp "$PRODUCT/$PRODUCT.so" "$VSTDIR"
cp -R "$PRODUCT/$PRODUCT.vst3" "$VST3DIR"
cp -R "$PRODUCT/Data/." "$CONFIG"
cp "$PRODUCT/Inertia Sound Systems $PRODUCT User Manual.pdf" "$MANUAL_PATH"

cat <<EOF

Installed Successfuly.
Have fun with ${PRODUCT_NAME_VERSION} and thank you for your support!
EOF
